/*! 
    \file proto_class.h
    \brief Definition of the proto class template, used quickly start work
*/


#ifndef _NULL_PARENT_H
#define _NULL_PARENT_H

#include "stdincl.h"
#include "p_node.h"


class NullParent : public PNode {

 public:
  static NullParent* getInstance ();
  virtual ~NullParent ();

  static NullParent* singletonRef;

  virtual void update (float timeStamp);

 private:
  NullParent ();
  NullParent (Vector* absCoordinate);

};

#endif /* _NULL_PARENT_H */
